%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global packagename PEAK-Rules
%global devrev 2646

%global docs README.txt AST-Builder.txt Code-Generation.txt Criteria.txt DESIGN.txt Indexing.txt Predicates.txt Syntax-Matching.txt

Name:           python-peak-rules
Version:        0.5a1.dev
# At earliest opportunity, move all non-numeric information to release.
# This would be proper:
# Version: 0.5
# Release:0.3.a1.dev%{devrev}%{?dist}
# But we can't do that yet because it breaks the upgrade path.
# When version hits 0.5.1 or 0.6 we can correct this.
Release:        27.a1.dev.20100803svn%{devrev}%{?dist}
Summary:        Generic functions and business rules support systems

Group:          Development/Languages
License:        ZPLv2.1
URL:            http://pypi.python.org/pypi/PEAK-Rules
# Use a snapshot so we can get both python-2.7 compat and GPLv2 compatibility
Source0:        http://peak.telecommunity.com/snapshots/%{packagename}-%{version}-r%{devrev}.tar.gz
Patch0:         %{name}-setup.patch
Patch1:         %{name}-x86_64-doctest.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:       python2-peak-util-assembler >= 0.3
BuildRequires:       python2-peak-util-addons >= 0.6
BuildRequires:       python2-peak-util-extremes >= 1.1
BuildRequires:       python2-decoratortools >= 1.7

%global _description\
PEAK-Rules is a highly-extensible framework for creating and using generic\
functions, from the very simple to the very complex.  Out of the box, it\
supports multiple-dispatch on positional arguments using tuples of types,\
full predicate dispatch using strings containing Python expressions, and\
CLOS-like method combining.  (But the framework allows you to mix and match\
dispatch engines and custom method combinations, if you need or want to.)

%description %_description

%package -n python2-peak-rules
Summary: %summary
Requires:       python2-peak-util-assembler >= 0.3
Requires:       python2-peak-util-addons >= 0.6
Requires:       python2-peak-util-extremes >= 1.1
Requires:       python2-decoratortools >= 1.7
%{?python_provide:%python_provide python2-peak-rules}

%description -n python2-peak-rules %_description

%prep
%setup -q -n %{packagename}-%{version}-r%{devrev}
%patch0 -b .setup
%patch1 -p0 -b .x86_64
%{__chmod} -x %{docs}

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}

%check
# Disable checks on s390x for now, see bugzilla #495874 
%ifnarch s390x
%{__python} setup.py test
%endif

%clean
rm -rf %{buildroot}

%files -n python2-peak-rules
%defattr(-,root,root,-)
%doc %{docs}
%{python_sitelib}/*

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5a1.dev-27.a1.dev.20100803svn2646
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 26 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.5a1.dev-26.a1.dev.20100803svn2646
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5a1.dev-25.a1.dev.20100803svn2646
- Python 2 binary package renamed to python2-peak-rules
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5a1.dev-24.a1.dev.20100803svn2646
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5a1.dev-23.a1.dev.20100803svn2646
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5a1.dev-22.a1.dev.20100803svn2646
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5a1.dev-21.a1.dev.20100803svn2646
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5a1.dev-20.a1.dev.20100803svn2646
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 30 2014 Toshio Kuratomi <toshio@fedoraproject.org> - 0.5a1.dev-19.a1.dev.20100803svn
- Replace python-setuptools-devel BR with python-setuptools

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5a1.dev-18.a1.dev.20100803svn2646
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5a1.dev-17.a1.dev.20100803svn2646
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5a1.dev-16.a1.dev.20100803svn2646
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5a1.dev-15.a1.dev.20100803svn2646
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5a1.dev-14.a1.dev.20100803svn2646
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5a1.dev-13.a1.dev.20100803svn2646
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Aug 3 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 0.5a1.dev-12.a1.dev.20100803svn2646
- Update to new snapshot with python-2.7 fixes and new licensing

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.5a1.dev-11.2600
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jan 10 2010 Luke Macken <lmacken@redhat.com> - 0.5a1.dev-10.2600
- Update to the latest development snapshot
- Remove the py26-deprecation.patch, which went upstream

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5a1.dev-9.2582
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 14 2009 Kyle VanderBeek <kylev@kylev.com> - 0.5a1.dev-8.2582
- SVN r2600 to fix python 2.6 deprecation warnings from BitmapIndex

* Wed Jun 03 2009 Luke Macken <lmacken@redhat.com> 0.5a1.dev-7.2582
- Add a patch to get the doctests to work on x86_64

* Wed Apr 15 2009 Karsten Hopp <karsten@redhat.com> 0.5a1.dev-6.2582
- Disable checks on s390x for now, see bugzilla #495874 

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5a1.dev-5.2582
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Dec 2 2008 Toshio Kuratomi <toshio@fedoraproject.org> - 0.5a1.dev-4.2582
- Update patch for some more doctest fixing under py2.6.

* Tue Dec 2 2008 Toshio Kuratomi <toshio@fedoraproject.org> - 0.5a1.dev-3.2582
- Update to latest development snapshot
- Enable test suite
- Patch so doctests pass

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.5a1.dev-2.2581
- Rebuild for Python 2.6

* Tue Oct 14 2008 Luke Macken <lmacken@redhat.com> - 0.5a1.dev-1.2581
- Revision bump to fix upgrade path

* Sat Oct 11 2008 Luke Macken <lmacken@redhat.com> - 0.5a1.dev-0.1.2581
- Update to the latest 0.5a1 development snapshot
- Fix the description

* Sun Aug  3 2008 Luke Macken <lmacken@redhat.com> - 0.5a1.dev-0.2569
- Initial package for Fedora
